using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MeasureThread
{
    interface ILocate
    {
        LocateParam GetParam();
        bool MoveRAxis(float value);
        bool MoveToPix(float x, float y, float pixelSize_Y_cur);
        bool MoveToPixByMoveStage(float x, float y);
        bool MoveZAxis(float value, Locate.ZAxisDirection d);
        bool MoveZAxisByAbs(float value);
        void RecordCurrentBeamShiftAndStagePosition();
        void RestoreLastBeamShiftAndStagePosition();
    }
    public class LocateParam
   {
    public float PositionX;
    public float PositionY;
    public float PixelSize_Y_cur;//Tilt角度补偿后Y轴方向PixelSize修正值
    }
}

